Get all cosigners
Get all workspace cosigners (paginated). Note: These endpoints are currently in beta and might be subject to changes. Endpoint Permission: Admin and Non-Signing Admin.
GET
/
cosigners
TypeScript
const response: Promise<FireblocksResponse<CosignersPaginatedResponse>> = fireblocks.cosignersBeta.getCosigners(cosignersBetaApiGetCosignersRequest);CompletableFuture<ApiResponse<CosignersPaginatedResponse>> response = fireblocks.cosignersBeta().getCosigners(order, pageCursor, pageSize);response = fireblocks.cosigners_beta.get_cosigners(order, page_cursor, page_size);curl --request GET \
--url https://api.fireblocks.io/v1/cosignersconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/cosigners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"archived": false,
"id": "44fcead0-7053-4831-a53a-df7fb90d440f",
"name": "My Cosigner 1",
"type": "SGX",
"version": {
"hash": "a1b2c3d4e5",
"name": "1.0.0 (December 2025)"
}
}
],
"next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}{
"message": "<string>",
"code": 123
}Query Parameters
ASC / DESC ordering (default DESC)
Available options:
ASC, DESC Cursor of the required page
Maximum number of items in the page
Required range:
1 <= x <= 100Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<CosignersPaginatedResponse>> = fireblocks.cosignersBeta.getCosigners(cosignersBetaApiGetCosignersRequest);CompletableFuture<ApiResponse<CosignersPaginatedResponse>> response = fireblocks.cosignersBeta().getCosigners(order, pageCursor, pageSize);response = fireblocks.cosigners_beta.get_cosigners(order, page_cursor, page_size);